サブモジュール
- xdk.account_activity.client module
- xdk.account_activity.models module
モジュールの内容
このモジュールは、X API の account activity エンドポイントへのアクセスを提供します account activity-related のすべての機能の主要なエントリポイントとして機能します。class xdk.account_activity.AccountActivityClient
account activity 操作向けのクライアント
パラメーター
Client
__init__
パラメーター
Client
create_replay_job
Create replay job
Creates a replay job to retrieve activities from up to the past 5 days for all subscriptions associated with a given webhook.
パラメーター
Any
The unique identifier for the webhook configuration.
str
The oldest (starting) UTC timestamp (inclusive) from which events will be provided, in yyyymmddhhmm format.
str
The latest (ending) UTC timestamp (exclusive) up to which events will be provided, in yyyymmddhhmm format.
戻り値
CreateReplayJobResponse - Response data
create_subscription
Create subscription
Creates an Account Activity subscription for the user and the given webhook.
パラメーター
Any
The webhook ID to check subscription against.
CreateSubscriptionRequest
Request body
delete_subscription
Delete subscription
Deletes an Account Activity subscription for the given webhook and user ID.
パラメーター
Any
The webhook ID to check subscription against.
Any
User ID to unsubscribe from.
戻り値
DeleteSubscriptionResponse - Response data
get_subscription_count
Get subscription count
Retrieves a count of currently active Account Activity subscriptions.
:returns: レスポンスデータ
:rtype: GetSubscriptionCountResponse
戻り値
GetSubscriptionCountResponse
get_subscriptions
Get subscriptions
次の一覧を取得します: all active subscriptions for a given webhook.
パラメーター
Any
The webhook ID to pull subscriptions for.
戻り値
GetSubscriptionsResponse - Response data
validate_subscription
Validate subscription
Checks a user’s Account Activity subscription for a given webhook.
パラメーター
Any
The webhook ID to check subscription against.
戻り値
ValidateSubscriptionResponse - Response data